package MIDlets;

import java.io.*;
import java.util.*;
import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
import javax.microedition.io.*;

import Session.*;

/**
  * Utility methods.
  */
public class Utils {

  /**
    *  This method displays a alert message box on the display object.
    */
  public static void showAlert (Display display) {
    Alert alert = new Alert("Error",
                            "An Error has Occured!",
                            null,
                            AlertType.ERROR);
    alert.setTimeout(Alert.FOREVER);
    display.setCurrent(alert);
    return;
  }

  /**
    *  This method fetches a number of bytes from an established connection.
    *  If we want to track sessions between fetches, the connection 
    *  must be session aware.
    * 
    *  Parameter "length" specifies the max length it fetches.
    */
  public static String fetch (HttpConnection conn, int length) 
                                              throws Exception {
    // "GET" the remote URL.
    conn.setRequestMethod(HttpConnection.GET);

    // Get the response stream from the server.
    DataInputStream is = conn.openDataInputStream();

    // Read data from the stream into a StringBuffer.
    // Truncate after "length" byte.
    StringBuffer pageContentBuff = new StringBuffer();
    int ch;
    int i = 0;
    while ( ((ch = is.read()) != -1) && (i < length) ) {
      pageContentBuff.append( (char)ch );
      i++;
    }

    // Close response stream.
    is.close();

    return pageContentBuff.toString().trim();
  }

}
